Wednesday, May 26, 2010

Flex 3 & Flex 4 Frankenstein

So we have a large dashboard application built in Flex 3.5 SDK. Anyway, making it work with the Flex 4 SDK was annoying and took nearly a week.

So the client doesn't want to give me the time to rewrite the UI in the new spark stuff BUT instead slowly convert it over time. So I started to try that... doesn't seem possible. Spark components don't work with the "Use Flex 3 compatibility mode" box checked. When I uncheck that box my whole project blows up and looks totally messed up.

So my ultimate conclusion is that a Flex 3 Flex 4 Frankenstein is not really possible.

No comments: